|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDBusObjectPath Class Reference
[QtDBus module]

The QDBusObjectPath class enables the programmer to identify the `OBJECT_PATH` type provided by the D-BUS typesystem. More...

     #include <QDBusObjectPath>

Inherits QString (private).

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QDBusObjectPath ()
- QDBusObjectPath ( const char * path )
- QDBusObjectPath ( const QLatin1String & path )
- QDBusObjectPath ( const QString & path )
- QString path () const
- void setPath ( const QString & path )

- 180 public functions inherited from QString

### Additional Inherited Members

- 22 static public members inherited from QString

## Detailed Description

The QDBusObjectPath class enables the programmer to identify the `OBJECT_PATH` type provided by the D-BUS typesystem.

See also The QtDBus type system.

## Member Function Documentation

### QDBusObjectPath::QDBusObjectPath ()

Constructs a new object path.

### QDBusObjectPath::QDBusObjectPath ( const char * path )

Constructs a new object path from the given path.

See also setPath().

### QDBusObjectPath::QDBusObjectPath ( const QLatin1String & path )

Constructs a new object path from the given path.

### QDBusObjectPath::QDBusObjectPath ( const QString & path )

Constructs a new object path from the given path.

### QString QDBusObjectPath::path () const

Returns this object path.

See also setPath().

### void QDBusObjectPath::setPath ( const QString & path )

Assigns the value of the given path to this object path.

See also path().